package com.yeejoin.amos.boot.module.jcs.api.enums;
/**
 * 
 * 警情类型枚举
 * 
 * ***/
public  enum  AlertStageEnums {
	JQJB ("260","警情接报"),
	LLDP("261","力量调派"),
	ZBQJ("262","值班确警"),
	CZGZ("263","处置跟踪"),
	CZJS("264","处置结束"),
	
	//报警类型
	JQCB("297","警情初报"),
	JQGB("298","警情归并"),
	FJQ("299","非警情"),
	QT("300","其他"),
	//警情类型
	
	YBHZ("229","一般火灾"),
	HKJY("230",	"航空器救援"),
	TFSJ("235",	"突发事件救援"),
	LYXC("237",	"漏油现场安全保障"),
	ZJBZ("238",	"转机保障"),
	QTJQ("242",	"其他"),
	JJJQ("1214",	"120急救"),
	
	RG("226",  "人工上报"),
	DJ("228",  "对讲呼入"),
	JK("388",  "监控中心报警"),//也是监控大队
	DH("389",  "电话报警"),



	JYZD("111", "消防救援总队"),
	SZD("112", "省消防救援总队"),
	XFZD("113", "消防救援支队"),
	CSZD("114", "城市消防救援支队"),
	DQZD("115", "地区消防救援支队"),
	ZZZD("116", "企（事）业单位专职消防救援支队"),
	YWDD("117", "企（事）业单位义务消防救援大队"),
	YLJY("830", "企（事）业单位医疗救援队（站）"),
	DD("DD", "所属大队"),
	JJZ("JJZ", "急救站"),
	ZD("ZD", "消防支队"),
	XJ("XJ", "消救部"),
	ZH("ZH", "应急指挥科"),
	BD("BD", "调派车辆指定人"),
	监控大队("JK","监控大队"),
	onDuty("onDuty", "值班单位"),
	fireBrigade("fireBrigade", "岗位名称，规则配置"),
	airportUnit("airportUnit", "人员职务规则配置"),
	flag("flag", "值班单位"),
	keySiteExcle("keySiteExcle","重点部位"),
	救援预案警情类型("0","救援预案警情类型"),
	责任单位("1","责任单位"),
	重点部位名称("2","重点部位名称"),
	航空器救援子类("3","航空器救援子类"),
	aircraftRescueSub("aircraftRescueSub","航空器救援子类"),
	JKDD("6", "企（事）业单位监控大队");


	
	
	private String code;
	private String value;
	AlertStageEnums(String code, String value) {
		this.code=code;
		this.value=value;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}

	public static AlertStageEnums getEnum(String code)
	{
		for (AlertStageEnums stage : AlertStageEnums.values())
		{
			if (stage.getCode().equals(code))
			{
				return stage;
			}
		}
		return null;
	}
}
